gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.AccessibleTextRange

Contents

- Exported types
- Methods
- Properties
  - length
  - start

Description

A range inside the text of an accessible object.

Since: 4.14

Synopsis

- newtype AccessibleTextRange = AccessibleTextRange (ManagedPtr AccessibleTextRange)
- newZeroAccessibleTextRange :: MonadIO m => m AccessibleTextRange
- getAccessibleTextRangeLength :: MonadIO m => AccessibleTextRange -> m CSize
- setAccessibleTextRangeLength :: MonadIO m => AccessibleTextRange -> CSize -> m ()
- getAccessibleTextRangeStart :: MonadIO m => AccessibleTextRange -> m CSize
- setAccessibleTextRangeStart :: MonadIO m => AccessibleTextRange -> CSize -> m ()

# Exported types

newtype AccessibleTextRange Source #

Memory-managed wrapper type.

Constructors

AccessibleTextRange (ManagedPtr AccessibleTextRange) |

#### Instances

Instances details

Eq AccessibleTextRange Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleTextRange Methods (==) :: AccessibleTextRange -> AccessibleTextRange -> Bool Source # (/=) :: AccessibleTextRange -> AccessibleTextRange -> Bool Source #
BoxedPtr AccessibleTextRange Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleTextRange Methods boxedPtrCopy :: AccessibleTextRange -> IO AccessibleTextRange Source # boxedPtrFree :: AccessibleTextRange -> IO () Source #
CallocPtr AccessibleTextRange Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleTextRange Methods boxedPtrCalloc :: IO (Ptr AccessibleTextRange) Source #
ManagedPtrNewtype AccessibleTextRange Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleTextRange Methods toManagedPtr :: AccessibleTextRange -> ManagedPtr AccessibleTextRange Source #
tag ~ 'AttrSet => Constructible AccessibleTextRange tag Source # |
Instance details Defined in GI.Gtk.Structs.AccessibleTextRange Methods new :: MonadIO m => (ManagedPtr AccessibleTextRange -> AccessibleTextRange) -> [AttrOp AccessibleTextRange tag] -> m AccessibleTextRange Source #

newZeroAccessibleTextRange :: MonadIO m => m AccessibleTextRange Source #

Construct a `AccessibleTextRange` struct initialized to zero.

# Methods

# Properties

## length

the length of the range, in characters

getAccessibleTextRangeLength :: MonadIO m => AccessibleTextRange -> m CSize Source #

Get the value of the “`length`” field. When overloading is enabled, this is equivalent to

    get accessibleTextRange #length

setAccessibleTextRangeLength :: MonadIO m => AccessibleTextRange -> CSize -> m () Source #

Set the value of the “`length`” field. When overloading is enabled, this is equivalent to

    set accessibleTextRange [ #length := value ]

## start

the start of the range, in characters

getAccessibleTextRangeStart :: MonadIO m => AccessibleTextRange -> m CSize Source #

Get the value of the “`start`” field. When overloading is enabled, this is equivalent to

    get accessibleTextRange #start

setAccessibleTextRangeStart :: MonadIO m => AccessibleTextRange -> CSize -> m () Source #

Set the value of the “`start`” field. When overloading is enabled, this is equivalent to

    set accessibleTextRange [ #start := value ]